Bug 753016 - gcr - A library for bits of crypto UI and parsing
Summary: gcr - A library for bits of crypto UI and parsing
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-11 03:18 UTC by Matthias Clasen
Modified: 2011-12-22 14:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-22 14:13:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Clasen 2011-11-11 03:18:54 UTC
gcr is a library for displaying certificates, and crypto UI, accessing
key stores. It also provides a viewer for crypto files on the GNOME
desktop.

gck is a library for accessing PKCS#11 modules like smart cards.

The initial packaging here does not enable introspection, due to bootstrapping problems (building introspection requires the package already in the buildroot).

srpm: http://mclasen.fedorapeople.org/gcr-3.3.1-1.fc16.src.rpm
spec: http://mclasen.fedorapeople.org/gcr.spec

Comment 1 Tom Hughes 2011-12-16 11:23:35 UTC
Initial review comments:

MUST License field in the package spec file matches the actual license

  gcr/icons/render-icons.py is LGPLv3 / CC-BY-SA 3.0
  gcr/gcr-menu-button.c is GPLv2
  gcr/gcr-collection-model.c is GPLv2
  gcr/gcr-collection-model.h is GPLv2
  gck/pkcs11n.h is MPLv1.1

MUST Rpmlint output is silent

  gcr.x86_64: E: incorrect-fsf-address /usr/share/doc/gcr-3.3.1/COPYING
  gcr.x86_64: W: no-manual-page-for-binary gcr-viewer

  gcr-devel.x86_64: E: incorrect-fsf-address /usr/include/gcr-3/gcr/gcr-key-widget.h
  [ repeated for many other header files ]

  gcr-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gcr-3.3.1/gcr/gcr-unlock-options-widget.h
  [ repeated for many other source files ]

SHOULD Patches link to upstream bugs/comments/lists or are otherwise justified

  No explanation for gcr-fix.patch

Comment 2 Matthias Clasen 2011-12-16 17:40:51 UTC
I've filed an upstream bug about the minor license inconsistencies:
https://bugzilla.gnome.org/show_bug.cgi?id=666378

Here is an updated srpm for gcr-3.3.2.1. Also added a comment about the patch.

http://mclasen.fedorapeople.org/gcr.spec
http://mclasen.fedorapeople.org/gcr-3.3.2.1-1.fc16.src.rpm

Comment 3 Matthias Clasen 2011-12-21 13:58:53 UTC
Updated again for gcr-3.3.3.1.
The build fix is no longer needed, and the license thing has been fixed upstream.

http://mclasen.fedorapeople.org/gcr.spec
http://mclasen.fedorapeople.org/gcr-3.3.3.1-1.fc16.src.rpm

Can we wrap this up soon ?

Comment 4 Tom Hughes 2011-12-21 15:52:19 UTC
Mostly looks good, just a couple more comments:

MUST Package requires other packages for directories it uses.
MUST Package must own all directories that it creates.

  need GConf2 for %{_datadir}/GConf/gsettings
  need hicolor-icon-theme for %{_datadir}/icons/hicolor
  need shared-mime-info for %{_datadir}/mime/packages
  need dbus for %{_datadir}/dbus-1/services
  need gtk-doc for %{_datadir}/gtk-doc/html

Some of those may already be required indirectly, but I haven't found a goot way to work our the full list of indirect requirements.

MUST Rpath absent or only used for internal libs.
MUST Rpmlint output is silent.

gcr.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgcr-3.so.1.0.0 ['/usr/lib64']
gcr.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gcr-viewer ['/usr/lib64']
gcr.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgcr-base-3.so.1.0.0 ['/usr/lib64']
gcr.x86_64: E: binary-or-shlib-defines-rpath /usr/libexec/gcr-prompter ['/usr/lib64']

Comment 5 Matthias Clasen 2011-12-21 17:45:59 UTC
http://mclasen.fedorapeople.org/gcr.spec
http://mclasen.fedorapeople.org/gcr-3.3.3.1-2.fc16.src.rpm

I've deleted the rpaths.

As for the directories,

- hicolor-icon-theme is a dependency of gtk3
- shared-mime-info gets pulled in by glib2
- dbus is a dependency of systemd, so kinda unavoidable
- gtk-doc has been ruled by the packaging committee to be ok to omit
- GConf2 is pretty much in the same situation as gtk-doc, I'd say.
  gcr does not actually use GConf, it merely installs convert files
  to trigger conversion of preexisting gconf keys to gsettings. The
  directory it installs those conversion files in is pure 'file drop',
  much like %{_datadir}/gtk-doc/html. And given that the purpose
  of these conversion files is to help getting rid of GConf, it
  would be just wrong to add a GConf dependency for them.

Comment 6 Tom Hughes 2011-12-21 18:31:58 UTC
Sure it's OK not to require some of those, but if you do that then you have to own the directory instead, as described in the packaging guidelines here:

https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

Comment 8 Tom Hughes 2011-12-21 19:39:04 UTC
Looks good. Package is approved.

Comment 9 Matthias Clasen 2011-12-21 22:00:43 UTC
New Package SCM Request
=======================
Package Name: gcr 
Short Description: A library for bits of crypto UI and parsing
Owners: mclasen, tbzatek
Branches: 
InitialCC:

Comment 10 Gwyn Ciesla 2011-12-22 13:18:49 UTC
Git done (by process-git-requests).

Tom, please take ownership of review BZs.  Thanks!

Comment 11 Tom Hughes 2011-12-22 13:25:06 UTC
I thought I had... To be more precise I thought setting the state to ASSIGNED assigned it to the person making that change, at least by default. Apparently I was wrong, at least in this particular implementation of bugzilla.

Done now anyway.

Comment 12 Matthias Clasen 2011-12-22 14:13:09 UTC
build underway


Note You need to log in before you can comment on or make changes to this bug.